Alokai

SapccApiCreateTicketEventAttachmentRequest

Request parameters for createTicketEventAttachment operation in SapccApi. SapccApiCreateTicketEventAttachmentRequest

interface SapccApiCreateTicketEventAttachmentRequest {
	readonly baseSiteId: string;
	readonly eventCode: string;
	readonly fields?: string;
	readonly ticketEventAttachment: File;
	readonly ticketId: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiCreateTicketEventAttachment
eventCodeRequiredstringTicket event code is specific to each event. It is used to identify an event.<br>Example: ```00000A15```. {string} SapccApiCreateTicketEventAttachment
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiCreateTicketEventAttachment
ticketEventAttachmentRequiredFileFile to be attached to a ticket event. {File} SapccApiCreateTicketEventAttachment
ticketIdRequiredstringTicket identifier.<br> Example: ```00000001```. {string} SapccApiCreateTicketEventAttachment
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiCreateTicketEventAttachment

On this page